Bug 126809 - default settings are insecure
default settings are insecure
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xscreensaver (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Security
: 126819 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-27 11:22 EDT by Robert de Rooy
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 12:01:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert de Rooy 2004-06-27 11:22:45 EDT
Description of problem:

Security issues:
1) By default xscreensaver only runs as a regular user, not root
2) xscreensaver does not lock the screen by default
3) screensaver might reveal personal information

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install any RHL or Fedora release with xwindows
2. 
3.
  
Actual results:


Expected results:

1) although logging into X as root should be discouraged, not allowing
the display to be locked is simply crazy. Root should be able to lock
his display, preferably just with a blank screen option and not the
gazilion others that *might* have a security issue.

2) a default install of RHL or Fedora does not lock the display when
the screensaver activates. Default settings should be changed so the
display gets locked after 5 or 10 min. If the user does not wish for
his display to get locked, he can disable it. Security should be the
default, not the other way around.

3) default screensaver selection might reveal personal information on
the users desktop when the screensaver was activated, or contained in
files on the harddisk. Default screensaver selection should be such
that NO personal or system information is revealed.

Additional info:
Comment 1 Suzanne Hillman 2004-07-08 16:06:15 EDT
*** Bug 126819 has been marked as a duplicate of this bug. ***
Comment 2 Havoc Pennington 2004-07-14 20:30:04 EDT
1) is discussed in "man xscreensaver" under "Locking and root logins"
We'd have to fork from upstream and break the gdm/xdm case to change
this it looks like.
Comment 3 Ray Strode [halfline] 2004-11-03 12:01:55 EST
2) and 3) seem reasonable to me and should be fixed in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.